Package org.eclipse.m2m.atl.engine.emfvm.lib

# Class EnumLiteral

java.lang.Object
org.eclipse.m2m.atl.engine.emfvm.lib.EnumLiteral

All Implemented Interfaces:
  `HasFields`

public class EnumLiteral extends Object implements HasFields
Enumeration literal implementation.

## Constructor Summary

Constructors
Constructor
Description
`EnumLiteral()`
Creates an unnamed EnumLiteral.
`EnumLiteral(String name)`
Creates an EnumLiteral with the given name.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object arg)`
`Object`
`get(AbstractStackFrame frame, Object literalName)`
Gets a value.
`int`
`hashCode()`
`void`
`set(AbstractStackFrame frame, Object literalName, Object value)`
Sets a value to the object.
`void`
`setName(String name)`
`String`
`toString()`
`void`
`unset(AbstractStackFrame frame, Object name)`
Unsets a value to the object.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### EnumLiteral

public EnumLiteral()
Creates an unnamed EnumLiteral.

### EnumLiteral

public EnumLiteral(String name)
Creates an EnumLiteral with the given name.

Parameters:
  `name` - the name

## Method Details

### setName

public void setName(String name)

### toString

public String toString()

Overrides:
  `toString` in class `Object`
See Also:
  - `Object.toString()`

### get

public Object get(AbstractStackFrame frame, Object literalName)
Gets a value.

Specified by:
  `get` in interface `HasFields`
Parameters:
  `frame` - the frame context
  `literalName` - the value name
Returns:
  the value
See Also:
  - `HasFields.get(org.eclipse.m2m.atl.engine.emfvm.lib.AbstractStackFrame, java.lang.Object)`

### set

public void set(AbstractStackFrame frame, Object literalName, Object value)
Sets a value to the object.

Specified by:
  `set` in interface `HasFields`
Parameters:
  `frame` - the frame context
  `literalName` - the value name
  `value` - the value
See Also:
  - `HasFields.set(org.eclipse.m2m.atl.engine.emfvm.lib.AbstractStackFrame, java.lang.Object, java.lang.Object)`

### unset

public void unset(AbstractStackFrame frame, Object name)
Unsets a value to the object.

Specified by:
  `unset` in interface `HasFields`
Parameters:
  `frame` - the frame context
  `name` - the value name
See Also:
  - `HasFields.unset(org.eclipse.m2m.atl.engine.emfvm.lib.AbstractStackFrame, java.lang.Object)`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`
See Also:
  - `Object.hashCode()`

### equals

public boolean equals(Object arg)

Overrides:
  `equals` in class `Object`
See Also:
  - `Object.equals(java.lang.Object)`